#!/bin/sh
export PATH="/mnt/utmp/opensludge/bin:${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH="/mnt/utmp/opensludge/lib:${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/opensludge" XDG_CONFIG_HOME="/mnt/utmp/opensludge"

if [ -d /mnt/utmp/opensludge/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/opensludge/share:$XDG_DATA_DIRS:/usr/share
fi
export SDL_AUDIODRIVER="alsa"
cd $HOME

FILE=`zenity --file-selection --title="Select a Game File"`

[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	sludge-engine -d1 -a-1 $FILE $*
	. $HOME/scripts/post_script.sh
else
	exec sludge-engine -d1 -a-1 $FILE $*
fi
